using System;
using UnityEngine;

public abstract class TitleCommand : MonoBehaviour
{
	public void BaseExecute()
	{
		if (this.m_moveTime < Time.realtimeSinceStartup)
		{
			this.Execute();
			this.m_moveTime = Time.realtimeSinceStartup + 0.1f;
		}
	}

	protected abstract void Execute();

	private const float m_interval = 0.1f;

	private float m_moveTime;
}
